// Beispiel zu Vererbung mit privaten Attributen
// Autor: M. Scheer

public class Student extends Person {
   // Instanzvariablen
   private int matNr ;

   // Konstruktor
   public Student(String vorName, String nachName, int matNr){
      super(vorName, nachName) ;
      this.matNr = matNr ;
   }

   // Instanzmethode:
   public int getMatNr() { return matNr ; }

   // Eine Druck-Methode
   public void print(){
      System.out.println("Student") ;
      super.print() ;
      System.out.println("Mat-Nr.  :     " + matNr) ;
      System.out.println("") ;
   }
}
